var react = require('react');

var Store = {
  listeners: [],
  subscribe: function subscribe(obj) {
    var _this = this;

    this.listeners.push(obj);
    return function () {
      var index = _this.listeners.indexOf(obj);

      _this.listeners.splice(index, 1);
    };
  }
};
var useActionSubscribe = function useActionSubscribe(sub, callback) {
  react.useEffect(function () {
    if (typeof sub === 'string') {
      if (typeof callback === 'function') {
        var _Store$subscribe;

        var _unsubscribe = Store.subscribe((_Store$subscribe = {}, _Store$subscribe[sub] = callback, _Store$subscribe));

        return _unsubscribe;
      }

      return;
    }

    var unsubscribe = Store.subscribe(sub);
    return unsubscribe;
  }, []);
};

var actionCallback = function actionCallback() {
  return function (next) {
    return function (action) {
      var type = action.type;
      var res = next(action);

      if (type) {
        for (var i = 0; i < Store.listeners.length; i++) {
          Store.listeners[i] && Store.listeners[i][type] && Store.listeners[i][type](action);
        }
      }

      return res;
    };
  };
};

exports.default = actionCallback;
exports.useActionSubscribe = useActionSubscribe;
//# sourceMappingURL=index.js.map
